aboutsummaryrefslogtreecommitdiff
path: root/tools/darwin/Support
diff options
context:
space:
mode:
authorStephan Diederich <stephan.diederich@gmail.com>2013-05-23 10:58:51 +0200
committerMemphiz <memphis@machzwo.de>2013-05-27 18:59:57 +0200
commitc054f7e8d90c4fcedd214c1bf378122a37b4a489 (patch)
treeba4df3fa8ed8acd229e9e885534fc6aa20a37767 /tools/darwin/Support
parent31f386c39105f29c7c52b5884022e29ab8a126c5 (diff)
[xcode] add iOS and ATV2 Target to main Xcode project
* iOS Target added * ATV2 Target added * add build phases from iOS project * add build phases from ATV2 project * factor out most of the configuration into xcconfig files this should help in tracking down changes in the build configs, make diffs easier and such. * provide a xcconfig cascade for the project level (Common -> Debug/Release) as well as on the target level (App -> App-OSX/App-iOS/App-ATV2) * add xcconfig and after buildstep scripts to xcode for easy editing
Diffstat (limited to 'tools/darwin/Support')
-rwxr-xr-xtools/darwin/Support/genoutputdirlink.command15
1 files changed, 15 insertions, 0 deletions
diff --git a/tools/darwin/Support/genoutputdirlink.command b/tools/darwin/Support/genoutputdirlink.command
new file mode 100755
index 0000000000..a2fd663b84
--- /dev/null
+++ b/tools/darwin/Support/genoutputdirlink.command
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+if [ ${XCODE_VERSION_MINOR} -gt 400 ]
+then
+ TARGET_OUTPUT_DIR="${PROJECT_DIR}/build/${CONFIGURATION}${EFFECTIVE_PLATFORM_NAME}"
+ mkdir -p "${TARGET_OUTPUT_DIR}"
+
+ if [ "${BUILT_PRODUCTS_DIR}" != "${TARGET_OUTPUT_DIR}" ]
+ then
+ rm -rf "${TARGET_OUTPUT_DIR}/${FULL_PRODUCT_NAME}"
+ rm -rf "${TARGET_OUTPUT_DIR}/${DWARF_DSYM_FILE_NAME}"
+ ln -s "${BUILT_PRODUCTS_DIR}/${FULL_PRODUCT_NAME}" "${TARGET_OUTPUT_DIR}/" || true
+ ln -s "${BUILT_PRODUCTS_DIR}/${DWARF_DSYM_FILE_NAME}" "${TARGET_OUTPUT_DIR}/" || true
+ fi
+fi